interface LgresOptions {
    template?: string,
    callback?: (result: any) => void
}

interface LanguageResource {
    r(key: string, defaultValue?: any): any
}

export function init(dom?: HTMLElement, options?: LgresOptions): Promise<LanguageResource>
export function r(key: string, defaultValue?: any): any
export const lang: {
    get current(): string,
    get unknownError(): string,
    get savedSuccessfully(): string
}